'- based From Robert LaBudde and Nikolai Golovchenko at http://www.piclist.com/techref/microchip/rand8bit.htm

function mc1000rnd(rdmv as uinteger):
  return((rdmv band 255)*221+53)band 255
  end function
  
'- seed - variable area - $0107 - 2 bytes

'function mc1000rnd()as float:
'  rdmv1=peek($0107)
'  rdmv2=peek($0108)
'  poke $0107((rdmv2 band 255)*221+53)band 255
'  poke $0108((rdmv1 band 255)*221+53)band 255
'  return 1/(peek($0107)*256+peek($0108))
'  end function


'function mc1000randomize()
